Bug 825437 - SELinux is preventing /usr/sbin/varnishd from using the 'signull' accesses on a process.
SELinux is preventing /usr/sbin/varnishd from using the 'signull' accesses on...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ffcc27eaec19f2ef01c3ffacbcf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 05:24 EDT by geminic86
Modified: 2012-06-22 08:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 08:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description geminic86 2012-05-26 05:24:22 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc16.i686.PAE
time:           Sat 26 May 2012 05:24:10 AM EDT

description:
:SELinux is preventing /usr/sbin/varnishd from using the 'signull' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that varnishd should be allowed signull access on processes labeled consolekit_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep varnishd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:varnishd_t:SystemLow
:Target Context                system_u:system_r:consolekit_t:SystemLow
:Target Objects                 [ process ]
:Source                        varnishd
:Source Path                   /usr/sbin/varnishd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           varnish-2.1.5-2.fc15.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.7-1.fc16.i686.PAE #1 SMP Tue May
:                              22 14:07:22 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Sat 26 May 2012 01:54:51 AM EDT
:Last Seen                     Sat 26 May 2012 01:54:51 AM EDT
:Local ID                      383288c3-ffc3-4668-940c-be60760f4c74
:
:Raw Audit Messages
:type=AVC msg=audit(1338011691.783:1038): avc:  denied  { signull } for  pid=11617 comm="varnishd" scontext=system_u:system_r:varnishd_t:s0 tcontext=system_u:system_r:consolekit_t:s0 tclass=process
:
:
:type=SYSCALL msg=audit(1338011691.783:1038): arch=i386 syscall=kill success=yes exit=0 a0=87b a1=0 a2=bf812884 a3=5 items=0 ppid=11616 pid=11617 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=varnishd exe=/usr/sbin/varnishd subj=system_u:system_r:varnishd_t:s0 key=(null)
:
:Hash: varnishd,varnishd_t,consolekit_t,process,signull
:
:audit2allow
:
:#============= varnishd_t ==============
:allow varnishd_t consolekit_t:process signull;
:
:audit2allow -R
:
:#============= varnishd_t ==============
:allow varnishd_t consolekit_t:process signull;
:
Comment 1 Miroslav Grepl 2012-06-22 08:08:11 EDT
Did it happen again? If yes, please reopen the bug. Thank you.

Note You need to log in before you can comment on or make changes to this bug.